package gov.va.med.esr.common.persistent.history;

import java.util.HashSet;
import java.util.Set;
import gov.va.med.esr.common.model.ee.EGTSetting;

import gov.va.med.fw.model.AbstractVersionedEntity;;

public class EGTHistorySet extends AbstractVersionedEntity{
	
    private static final long serialVersionUID = -5759991975473155420L;
    
    private Set egts;

	public Set getEgts() {
	   if (egts == null) {
	      egts = new HashSet();
	   }
	   return egts;
	}

	public void setEgts(Set egts) {
		this.egts = egts;
	}
	
	public void addEGTSetting(EGTSetting egt) {
		getEgts().add(egt);
	}
	
	
}
